name: callToActionButtons
type: object[]
meta:
    label:
        de: Call to Action
        en: Call to Action
subFields:
    - name: buttonText
      type: string
      meta:
          label:
              de: Button-Text
              en: Button Text
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"

    - name: page
      type: string
      meta:
          label:
              de: Button-Link (URL)
              en: Button link (URL)
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"

    - name: ctaType
      type: number
      meta:
          label: Button Farbe
          widget: select
          choices:
              - id: 0
                name: Primär
              - id: 1
                name: Sekundär
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"

    - name: buttonTarget
      type: string
      meta:
          label:
              de: Button-Link (Ziel)
              en: Button link (Target)
          widget: select
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"
          choices:
              - name:
                    de: im gleichen Fenster
                    en: in the same window
                id: _self
              - name:
                    de: in einem neuen Fenster
                    en: in a new window
                id: _blank
